/*
			Copyright (c) 1996 by
			Advanced Visual Systems Inc.
			All Rights Reserved
	
	This software comprises unpublished confidential information of
	Advanced Visual Systems Inc. and may not be used, copied or made
	available to anyone, except in accordance with the license
	under which it is furnished.
	
	This file is under Perforce control
	$Id: //depot/express/fcs992/include/avs/RenderV.h#1 $
*/

/* RenderV.h -- Public header file for the RenderView widget */

/*---------------------------------------------------------------------*/

/* Prevent the contents of this file from being included more than once */

#ifndef _RenderV_h
#define _RenderV_h

/* Public header file for the superclass */

#include <Xm/Xm.h>

/*--------------------------------------------------------------------*/

/* External definition of widget class record pointer */

externalref WidgetClass renderViewWidgetClass;

/* Specific class and instance datatypes for this class */

typedef struct _RenderViewClassRec *RenderViewWidgetClass;
typedef struct _RenderViewRec      *RenderViewWidget;

/* XtIsSubclass define */

#ifndef IsRenderView
#define IsRenderView(w) XtIsSubclass((w), renderViewWidgetClass)
#endif

/*--------------------------------------------------------------------*/

#endif /* _RenderV_h */
